Subject: Re: linux-next: add utrace tree

From: Linus Torvalds <[email-masked]>
Date: Wed, 27 Jan 2010 03:04:58 -0800 (PST)

On Wed, 27 Jan 2010, Peter Zijlstra wrote:
> 
> Right, so there's two aspects:
> 
>  1) concurrency when inserting the probe

That's the one I worried about. Stopping all threads will fix it, 
obviously at a disastrous performance cost, but what do I care? As noted, 
there are ways to do it safely with TLB switching, so it's fixable.

>  2) concurrency when hitting the probe

Yeah, I didn't worry about this part, since the only solution is the 
out-of-line one, and I don't much care how the memory gets allocated for 
it. Inserting a whole new vma seems pretty drastic, but compared to 
stopping all threads, it's a small thing.

		Linus